/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010-2012 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */
package org.ow2.jonas.admin.autostart.vo.configuration {

import com.adobe.cairngorm.vo.IValueObject;

import mx.collections.ArrayCollection;

/**
 * Object that represent the configuration parameters.
 */
[Bindable]
public class ConfigurationVO implements IValueObject {

    public var servicesVo:ServicesVO = new ServicesVO();
    public var protocolsVo:ProtocolsVO = new ProtocolsVO();
    public var webContainerVo:WebContainerVO = new WebContainerVO();
    public var jmsVo:JmsVO = new JmsVO();
    public var hsqlDbVo:HsqlDbVO = new HsqlDbVO();
    //[ArrayElementType("JDBCConfigurationVO")]
    public var jdbcConfigurationVO:ArrayCollection = new ArrayCollection();

    public function ConfigurationVO() {
    }
}
}
